#include <glut.h>
#include <stdio.h>

void render( void ) {
	// clear buffer
	glClear( GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT );

	// orthogonal projection matrix
	glMatrixMode( GL_PROJECTION );
	glLoadIdentity();
	glOrtho( -256, 256, -256, 256, -256, 256 );

	// modelview matrix
	glMatrixMode( GL_MODELVIEW );
	glLoadIdentity();

	//line color
	glColor4f( 1.0f, 1.0f, 1.0f, 1.0f );

	// draw lines
	glBegin( GL_LINES );

	glVertex2f( -250.f, -250.f );
	glVertex2f(  250.f,  250.f );

	glVertex2f(  250.f, -250.f );
	glVertex2f( -250.f,  250.f );

	glVertex2f( -250.f,  250.f );
	glVertex2f(  250.f,  250.f );

	glVertex2f(  250.f, -250.f );
	glVertex2f( -250.f, -250.f );

	glEnd();

	// flush
	glFlush();            

	// swap buffers
	glutSwapBuffers();
}

void main( int argc, char *argv[] ) {
	// init glut
	glutInit( &argc, argv );

	// set windows size
	glutInitWindowSize( 512, 512 );

	// set OpenGL display mode 
	glutInitDisplayMode( GLUT_RGBA | GLUT_DEPTH | GLUT_DOUBLE );

	// set window title
	glutCreateWindow( "OpenGL 2D Line Drawing" );

	// set rendering function
	glutDisplayFunc( render );

	glutMainLoop();
}
